Subject: bug#76186: 31.0.50; (recenter 0) sometimes does not recenter as expected

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Feb 2025 22:09:10 +0200

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 11 Feb 2025 21:45:07 +0100
> 
> I will try to simplify the instructions further. For now, I hope you can
> use them as they are to at least also see the issue on your system.

They still don't reproduce the problem for me.  And I cannot really
try playing with the various settings that might affect this because
the recipe runs in a loop, all the time changing the frame being
tested.

Like I said: it will be much easier if you provide just one
configuration for the frame in which you see the problem, because then
I could try changing the font and the dimensions until I succeed in
triggering.

Or maybe you could just post the real-life scenario where this
happened to you.  Or did that also happen when you invoke recenter in
a loop?

> Indeed I found the problem much easier to reproduce on OSX, where it
> consistently happens within a few tries (also with the latest master
> commit from today). However, it also happens on other systems, such as:
> 
>     In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw
>      scroll bars) of 2025-02-11 built on debian
>     Repository revision: 0e76716c5faa5e91ac3913b02ba4dc690cf5df83
>     Repository branch: master
>     Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
>     System Description: Debian GNU/Linux 10 (buster)
> 
>     Configured using:
>      'configure --with-x-toolkit=lucid --with-xpm=ifavailable
>      --with-gif=ifavailable --with-tiff=ifavailable
>      --with-gnutls=ifavailable'

People who can reproduce this are welcome to debug the problem and
describe what they saw.